aboutsummaryrefslogtreecommitdiffstats
path: root/community/gnome-software-plugin-apk/APKBUILD
blob: a544fbbc574a9a179e88a0979a32bc6cc495063d (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
# Contributor: Rasmus Thomsen <oss@cogitri.dev>
# Maintainer: Rasmus Thomsen <oss@cogitri.dev>
pkgname=gnome-software-plugin-apk
pkgver=0.8.0
pkgrel=1
pkgdesc="APK plugin for GNOME Software"
url="https://github.com/Cogitri/gnome-software-plugin-apk"
arch="x86_64 armv7 armhf aarch64 x86 ppc64le" # apk-polkit-rs
license="GPL-2.0-or-later"
makedepends="meson gnome-software-dev gnome-software-static apk-polkit-rs-dev"
options="!check" # no tests
source="$pkgname-$pkgver.tar.gz::https://github.com/Cogitri/gnome-software-plugin-apk/archive/v$pkgver.tar.gz"

# We can't depend on gnome-software-plugin-apk directly in gnome-software
# since that causes a circular dep:
# gnome-software -> gnome-software-plugin-apk -> gnome-software-dev
case "$CARCH" in
	x86_64|armv7|armhf|aarch64|x86|ppc64le) install_if="gnome-software" ;;
esac

build() {
	abuild-meson . output
	meson compile ${JOBS:+-j ${JOBS}} -C output
}

package() {
	DESTDIR="$pkgdir" meson install --no-rebuild -C output
}

sha512sums="e35db309eb7576aa6ead731f008a39904b475cb9339694604b4ff8b9b1cf32a54069da1eb55272884b7cfe1b56210fe0a4cd50e7f18c6da956dc6776f3fd2d24  gnome-software-plugin-apk-0.8.0.tar.gz"